searchNodes=[{"ref":"ExWareki.html","title":"ExWareki","type":"module","doc":""},{"ref":"ExWareki.Data.html","title":"ExWareki.Data","type":"module","doc":"Data module hanldes era data."},{"ref":"ExWareki.Data.html#data/0","title":"ExWareki.Data.data/0","type":"function","doc":""},{"ref":"ExWareki.Data.html#parse/1","title":"ExWareki.Data.parse/1","type":"function","doc":"parse/1 converts an entity of raw_data into data Examples iex&gt; ExWareki.Data.parse(%{name: &quot;平成&quot;, yomi: &quot;へいせい&quot;, begin_at: &quot;1989-1-8&quot;, end_at: &quot;2019-5-1&quot;}) %{name: &quot;平成&quot;, yomi: &quot;へいせい&quot;, begin_year: 1989, begin_month: 1, begin_day: 8, end_year: 2019, end_month: 5, end_day: 1}"},{"ref":"ExWareki.Data.html#raw_data/0","title":"ExWareki.Data.raw_data/0","type":"function","doc":""},{"ref":"ExWareki.Data.html#str2date/1","title":"ExWareki.Data.str2date/1","type":"function","doc":"str2date/1 converts date-string into date struct Examples iex&gt; ExWareki.Data.str2date(&quot;2019-09-13&quot;) %{year: 2019, month: 9, day: 13} iex&gt; ExWareki.Data.str2date(&quot;-&quot;) %{year: -1, month: -1, day: -1} iex&gt; ExWareki.Data.str2date(&quot;2019-03&quot;) %{year: -1, month: -1, day: -1}"},{"ref":"ExWareki.Era.html","title":"ExWareki.Era","type":"module","doc":""},{"ref":"ExWareki.Era.html#search_wareki_by_name/1","title":"ExWareki.Era.search_wareki_by_name/1","type":"function","doc":"search_wareki_by_name/1 finds an era by name ## Examples iex&gt; ExWareki.Era.search_wareki_by_name(&quot;平成&quot;) %{name: &quot;平成&quot;, yomi: &quot;へいせい&quot;, begin_year: 1989, begin_month: 1, begin_day: 8, end_year: 2019, end_month: 4, end_day: 30}"},{"ref":"ExWareki.Era.html#seireki2wareki/1","title":"ExWareki.Era.seireki2wareki/1","type":"function","doc":"seireki2wareki/1 converts seireki struct into wareki struct ## Examples iex&gt; ExWareki.Era.seireki2wareki(%ExWareki.Structs.Seireki{year: 1989, month: 2, day: 13}) {:ok, %ExWareki.Structs.Wareki{name: &quot;平成&quot;, yomi: &quot;へいせい&quot;, year: 1, month: 2, day: 13}} iex&gt; ExWareki.Era.seireki2wareki(%ExWareki.Structs.Seireki{year: 2019, month: 9, day: 13}) {:ok, %ExWareki.Structs.Wareki{name: &quot;令和&quot;, yomi: &quot;れいわ&quot;, year: 1, month: 9, day: 13}} iex&gt; ExWareki.Era.seireki2wareki(%ExWareki.Structs.Seireki{year: 0, month: 1, day: 1}) {:error, %ExWareki.Structs.Wareki{name: &quot;【元号不明】&quot;, yomi: &quot;&quot;, year: 0, month: 1, day: 1}}"},{"ref":"ExWareki.Era.html#wareki2seireki/1","title":"ExWareki.Era.wareki2seireki/1","type":"function","doc":"wareki2seireki/1 converts wareki struct into seireki struct ## Examples iex&gt; ExWareki.Era.wareki2seireki(%ExWareki.Structs.Wareki{name: &quot;平成&quot;, yomi: &quot;へいせい&quot;, year: 1, month: 2, day: 13}) {:ok, %ExWareki.Structs.Seireki{year: 1989, month: 2, day: 13}}"},{"ref":"ExWareki.Number.html","title":"ExWareki.Number","type":"module","doc":""},{"ref":"ExWareki.Number.html#kansuji2arabic/1","title":"ExWareki.Number.kansuji2arabic/1","type":"function","doc":"kansuji2arabic/1 converts kansuji(kanji-number) into arabic numbers ## Examples iex&gt; ExWareki.Number.kansuji2arabic(&quot;五億四千六百三十一万九千八百二十一&quot;) {:ok, 546319821} iex&gt; ExWareki.Number.kansuji2arabic(&quot;十三&quot;) {:ok, 13} iex&gt; ExWareki.Number.kansuji2arabic(&quot;二千十九&quot;) {:ok, 2019} iex&gt; ExWareki.Number.kansuji2arabic(&quot;十万百十&quot;) {:ok, 100110}"},{"ref":"ExWareki.Number.html#kansuji2arabic!/1","title":"ExWareki.Number.kansuji2arabic!/1","type":"function","doc":"kansuji2arabic!/1 converts kansuji(kanji-number) into arabic numbers ## Examples iex&gt; ExWareki.Number.kansuji2arabic!(&quot;五億四千六百三十一万九千八百二十一&quot;) 546319821"},{"ref":"ExWareki.Number.html#parse/1","title":"ExWareki.Number.parse/1","type":"function","doc":"parse/1 converts kansuji(kanji-number) into arabic numbers ## Examples iex&gt; ExWareki.Number.parse(&quot;1234567890&quot;) {:ok, 1234567890} iex&gt; ExWareki.Number.parse(&quot;012&quot;) {:ok, 012}"},{"ref":"ExWareki.Number.html#parse!/1","title":"ExWareki.Number.parse!/1","type":"function","doc":""},{"ref":"ExWareki.Parser.html","title":"ExWareki.Parser","type":"module","doc":""},{"ref":"ExWareki.Parser.html#parse_seireki/1","title":"ExWareki.Parser.parse_seireki/1","type":"function","doc":"parse_seireki/1 parses seireki string ## Examples iex&gt; ExWareki.Parser.parse_seireki(&quot;2019年9月15日&quot;) {:ok, %ExWareki.Structs.Seireki{year: 2019, month: 9, day: 15}} iex&gt; ExWareki.Parser.parse_seireki(&quot;二千十九年九月十五日&quot;) {:ok, %ExWareki.Structs.Seireki{year: 2019, month: 9, day: 15}} iex&gt; ExWareki.Parser.parse_seireki(&quot;2019-9-15&quot;) {:ok, %ExWareki.Structs.Seireki{year: 2019, month: 9, day: 15}}"},{"ref":"ExWareki.Parser.html#parse_wareki/1","title":"ExWareki.Parser.parse_wareki/1","type":"function","doc":"parse_wareki/1 parses wareki string ## Examples iex&gt; ExWareki.Parser.parse_wareki(&quot;令和元年九月十三日&quot;) {:ok, %ExWareki.Structs.Wareki{name: &quot;令和&quot;, yomi: &quot;れいわ&quot;, year: 1, month: 9, day: 13}}"},{"ref":"ExWareki.Structs.Seireki.html","title":"ExWareki.Structs.Seireki","type":"module","doc":""},{"ref":"ExWareki.Structs.Seireki.html#t:t/0","title":"ExWareki.Structs.Seireki.t/0","type":"type","doc":""},{"ref":"ExWareki.Structs.Seireki.html#t:t/3","title":"ExWareki.Structs.Seireki.t/3","type":"type","doc":""},{"ref":"ExWareki.Structs.Wareki.html","title":"ExWareki.Structs.Wareki","type":"module","doc":""},{"ref":"ExWareki.Structs.Wareki.html#t:t/0","title":"ExWareki.Structs.Wareki.t/0","type":"type","doc":""},{"ref":"ExWareki.Structs.Wareki.html#t:t/5","title":"ExWareki.Structs.Wareki.t/5","type":"type","doc":""}]